Bug 854237 - (jcsp) Review Request: jcsp - Communicating Sequential Processes for Java (JCSP)
Review Request: jcsp - Communicating Sequential Processes for Java (JCSP)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 854239 1163724
  Show dependency treegraph
 
Reported: 2012-09-04 09:05 EDT by gil cattaneo
Modified: 2014-11-17 08:06 EST (History)
2 users (show)

See Also:
Fixed In Version: jcsp-1.1-0.2.rc5.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-14 07:05:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-09-04 09:05:24 EDT
Spec URL: http://gil.fedorapeople.org/jcsp.spec
SRPM URL: http://gil.fedorapeople.org/jcsp-1.1-1.fc16.src.rpm
Description: JCSP (Communication Sequential Processes for Java) is a
library providing a concurrency model that is a combination
of ideas from Hoare's CSP and Milner's pi-calculus.

Communicating Sequential Processes (CSP) is a mathematical
theory for specifying and verifying complex patterns of
behaviour arising from interactions between concurrent
objects.

JSCP provides a base range of CSP primitives plus a rich set of
extensions. Also included is a package providing CSP process
wrappers giving a channel interface to all Java AWT widgets
and graphics operations.  It is extensively (java/documented)
and includes much teaching.

JCSP is an alternative concurrency model to the threads and
mechanisms built into Java. It is also compatible with
it since it is implemented on top of it.
Fedora Account System Username: gil
Comment 3 Michael Simacek 2014-10-31 08:51:55 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues
======
- It is recognized as native library and ends up in %{_jnidir}. But the
  only load call I see is in windows-only part.
- description - see rpmlint warnings

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated". 94 files have unknown license. Detailed output of
     licensecheck in /home/msimacek/reviews/854237-jcsp/srpm-unpacked/review-
     jcsp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/maven-metadata
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/maven-metadata
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jcsp-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jcsp-1.1-0.1.rc5.fc22.noarch.rpm
          jcsp-javadoc-1.1-0.1.rc5.fc22.noarch.rpm
          jcsp-1.1-0.1.rc5.fc22.src.rpm
jcsp.noarch: W: spelling-error %description -l en_US behaviour -> behavior
jcsp.noarch: W: only-non-binary-in-usr-lib
jcsp.src: W: spelling-error %description -l en_US behaviour -> behavior
jcsp.src: W: invalid-url Source0: jcsp-1.1-rc5-clean.tar.xz
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jcsp jcsp-javadoc
jcsp.noarch: W: spelling-error %description -l en_US behaviour -> behavior
jcsp.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
jcsp (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.felix:org.osgi.core)

jcsp-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jcsp:
    jcsp
    mvn(org.codehaus.jcsp:jcsp)
    mvn(org.codehaus.jcsp:jcsp:pom:)
    osgi(org.codehaus.jcsp)

jcsp-javadoc:
    jcsp-javadoc



Source checksums
----------------
Using local file /home/msimacek/reviews/854237-jcsp/srpm-unpacked/jcsp-1.1-rc5-clean.tar.xz as upstream
file:///home/msimacek/reviews/854237-jcsp/srpm-unpacked/jcsp-1.1-rc5-clean.tar.xz :
  CHECKSUM(SHA256) this package     : 147cdd574ef739ebd3a5f61564dc8527773d2ea2c9eb89fa64c73175daed5da8
  CHECKSUM(SHA256) upstream package : 147cdd574ef739ebd3a5f61564dc8527773d2ea2c9eb89fa64c73175daed5da8
Using local file /home/msimacek/reviews/854237-jcsp/srpm-unpacked/jcsp-create-tarball.sh as upstream
file:///home/msimacek/reviews/854237-jcsp/srpm-unpacked/jcsp-create-tarball.sh :
  CHECKSUM(SHA256) this package     : 63a23fdaf71e3294f378ad8644813131df71d89059b80b81215662810141e05c
  CHECKSUM(SHA256) upstream package : 63a23fdaf71e3294f378ad8644813131df71d89059b80b81215662810141e05c


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -n jcsp
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 gil cattaneo 2014-10-31 09:16:52 EDT
(In reply to Michael Simacek from comment #3)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> Issues
> ======
> - It is recognized as native library and ends up in %{_jnidir}. But the
>   only load call I see is in windows-only part.
Strange i already remove that code part
> - description - see rpmlint warnings
Already fixed ...
Comment 6 Michael Simacek 2014-10-31 09:47:03 EDT
Now it looks ok. Approved
Comment 7 gil cattaneo 2014-10-31 10:42:17 EDT
Thanks!

New Package SCM Request
=======================
Package Name: jcsp
Short Description: Communicating Sequential Processes for Java (JCSP)
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 8 Gwyn Ciesla 2014-11-03 08:15:44 EST
Git done (by process-git-requests).
Comment 9 gil cattaneo 2014-11-07 06:12:34 EST
git process has failed, please, re-run your script

New Package SCM Request
=======================
Package Name: jcsp
Short Description: Communicating Sequential Processes for Java (JCSP)
Owners: gil
Branches: f21
InitialCC: java-sig
Comment 10 Gwyn Ciesla 2014-11-07 07:57:38 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2014-11-07 09:11:53 EST
jcsp-1.1-0.2.rc5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jcsp-1.1-0.2.rc5.fc21
Comment 12 Fedora Update System 2014-11-10 01:37:51 EST
jcsp-1.1-0.2.rc5.fc21 has been pushed to the Fedora 21 testing repository.
Comment 13 Fedora Update System 2014-11-14 07:05:38 EST
jcsp-1.1-0.2.rc5.fc21 has been pushed to the Fedora 21 stable repository.
Comment 14 gil cattaneo 2014-11-14 08:26:50 EST
Package Change Request
======================
Package Name: jcsp
New Branches: f20
Owners: gil
InitialCC: java-sig
Comment 15 Gwyn Ciesla 2014-11-17 08:06:05 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.